Skip to main content
`Ctrl`+`K`

# SNESNewtonTRPostCheck

Runs the postcheck routine

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonTRPostCheck(SNES snes, Vec X, Vec Y, Vec W, PetscBool *changed_Y, PetscBool *changed_W)

Logically Collective

## Input Parameters

- snes - the solver

- X - The last solution

- Y - The full step direction

- W - The updated solution, W = X - Y

## Output Parameters

- changed_Y - indicator if step has been changed

- changed_W - Indicator if the new candidate solution W has been changed.

## Note

If Y is changed then W is recomputed as X - Y

## See Also

SNES: Nonlinear Solvers, `SNESNEWTONTR`, `SNESNewtonTRSetPostCheck()`, `SNESNewtonTRGetPostCheck()`, `SNESNewtonTRPreCheck()`

## Level

intermediate

## Location

src/snes/impls/tr/tr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages